//  COPYRIGHT:       PrimeObjects Software Inc. (C) 2022 All Right Reserved
//  COMPANY URL:     https://www.primeobjects.com/
//  CONTACT:         developer@primeobjects.com
//
//  This source is subject to the PrimeObjects License Agreements.
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
import React from "react";
import { BubbleMenu } from "@tiptap/react";
import { isNil } from "lodash";
import HtmlEditorFloatHighlightToolbarContent from "./html-float-edit-toolbar-content";
export var HtmlEditorFloatHighlightToolbar = function (props) {
    return isNil(props.editor) ? (React.createElement(React.Fragment, null)) : (React.createElement(BubbleMenu, { editor: props.editor, className: "menu-wrapper highlight-toolbar ".concat(props.wrapperClassName) },
        React.createElement(HtmlEditorFloatHighlightToolbarContent, __assign({}, props))));
};
export default HtmlEditorFloatHighlightToolbar;
//# sourceMappingURL=html-float-highlight-toolbar.js.map